namespace Marro.PacManUdon
{
    public partial class GameManager
    {
        private void TimeSequenceStepGameOver(int sequenceProgress)
        {
            switch (sequenceProgress)
            {
                case 0:
                    // Show game over text, freeze power pellet blink
                    statusDisplay.SetGameOverTextVisible(true);
                    collisionManager.FreezePowerPelletsBlink(true);
                    break;
                case 1:
                    break;
            }
        }

        private void TimeSequenceFinishedGameOver()
        {
            // Stop text blinking, transition to attract screen
            statusDisplay.SetLabel1UPTextBlinking(false);
            StartAttractMode();
        }
    }
}
